/*******************************************
 Basic Magnetometer Sensor test
 
 Sparki has a 3-Axis magnetometer. It is 
 used to detect the magnetic field Sparki is 
 experiencing. This can mean the earth’s 
 magnetic field, the field generated by 
 Sparki’s motors and wires, and many other 
 sources.  It can do this in all 3 XYZ axis, 
 which are left/right (X), 
 forward/backwards (Y), and up/down (Z). This 
 is the same part that smartphones use to act
 as a compass.
 
 This program shows how to read the sensor
 and display the information on the LCD.
 
 http://arcbotics.com/products/sparki/parts/magnetometer/
********************************************/
#include <Sparki.h> // include the sparki library

void setup() 
{
}

void loop() {
  sparki.clearLCD(); // wipe the screen
  
  float x  = sparki.magX();   // measure the accelerometer x-axis
  float y  = sparki.magY();   // measure the accelerometer y-axis
  float z  = sparki.magZ();   // measure the accelerometer z-axis

  // write the measurements to the screen
  sparki.print("Mag X: "); 
  sparki.println(x);

  sparki.print("Mag Y: "); 
  sparki.println(y);
  
  sparki.print("Mag Z: "); 
  sparki.println(z);
  
  sparki.updateLCD(); // display all of the information written to the screen
  delay(100);
}
